version: "3.8"

services:
  web:
  # image: or build, both are not needed at the same time 
    build: .
    # volumes:
    #   - .:/django_app
    ports:
      - 8001:8001
    container_name: django_container
    env_file:
      - ../../.env
    depends_on:
      - db
      - redis
    command: python manage.py runserver 0.0.0.0:8001
  db:
    image: postgres:latest
    container_name: postgres_db
    volumes:
      - ./postgres_data:/var/lib/postgresql/data
    env_file:
      - ../../.env
    ports:
      - 5432:5432
  cron:
    build: .
    volumes:
      - .:/django_project
    container_name: cron_container
    env_file:
      - ../../.env
    depends_on:
      - db
    command: cron -f
  celery:
    build: .
    container_name: celery_container
    volumes:
      - .:/django_app
    env_file:
      - ../../.env
    depends_on:
      - web
      - redis
  redis:
    image: "redis:7-alpine"

volumes:
  postgres_data:
